import 'package:equatable/equatable.dart';

/// generate by https://javiercbk.github.io/json_to_dart/
class AutogeneratedRecordMelody {
  final List<RecordMelodyModel> results;

  AutogeneratedRecordMelody({this.results});

  factory AutogeneratedRecordMelody.fromJson(Map<String, dynamic> json) {
    List<RecordMelodyModel> temp;
    if (json['results'] != null) {
      temp = List<RecordMelodyModel>();
      json['results'].forEach((v) {
        temp.add(RecordMelodyModel.fromJson(v as Map<String, dynamic>));
      });
    }
    return AutogeneratedRecordMelody(results: temp);
  }

  Map<String, dynamic> toJson() {
    final data = <String, dynamic>{};
    if (this.results != null) {
      data['results'] = this.results.map((v) => v.toJson()).toList();
    }
    return data;
  }
}

class RecordMelodyModel extends Equatable {
  final int id;
  final String name;

  RecordMelodyModel(this.id, this.name);

  @override
  List<Object> get props => [id, name];

  factory RecordMelodyModel.fromJson(Map<String, dynamic> json) {
    return RecordMelodyModel(json['id'] as int, json['name'] as String);
  }

  Map<String, dynamic> toJson() {
    final data = <String, dynamic>{};
    data['id'] = this.id;
    data['name'] = this.name;
    return data;
  }
  
}
